* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: Arial, Helvetica, sans-serif;
}
:root {
  cursor: url(../Bilder/cursorblue.gif) 0 20, auto;
}
body {
  width: 100vw;
  height: 100%;
  text-align: center;
  background: #666;
}
#nv {
  display: none;
}
#wrapper {
  height: 100%;
}
#middle {
  width: 500px;
  margin: 0 auto;
  float: left;
}
#rightside {
  position: fixed;
  top: 0;
  right: 0;
  width: 300px;
  height: 100vh;
  float: right;
  margin-left: 1em;
  border-left: 3px solid white;
}
#rightsideContainer {
  width: 100%;
  height: 100%;
  overflow-y: scroll;
  text-align: left;
  line-height: 3vw;
}
#finished {
  color: yellow;
  display: block;
  text-align: center;
  font-size: 2em;
  font-weight: 600;
  border-bottom: yellow 5px solid;
}
#description {
  color: #ddd;
  font-size: 1.2em;
  line-height: 1.3em;
  margin-left: 1em;
  text-align: left;
  z-index: 0;
  position: relative;
  top: 0;
}
#closeDesription {
  margin-top: 0.3em;
}
#description {
  transition: top 1s ease;
}
#h1draw {
  color: #ddd;
  background-color: #555;
  font-size: 1.6em;
  margin-bottom: 0.4em;
  z-index: 3;
  position: relative;
}
#closeDesription {
  background-color: #555;
  color: #ddd;
  width: 70px;
  height: 30px;
}
#flaeche {
  width: 500px;
  height: 500px;
  margin: 3vh auto;
}
#overlayChoosing {
  font-size: 2em;
  color: white;
  border-bottom: 5px solid white;
  padding: 1em;
  background-color: #888;
}
.fields, .filled, .developing {
  width: 15px;
  height: 15px;
  margin-top: 0;
  background: #fff;
  float: left;
  border-bottom: 1px solid black;
  border-right: 1px solid black;
}
.selectColor, #borders, #actColor, #developermode {
  width: 95%;
  margin: 0 auto;
  height: 100px;
  cursor: url(../Bilder/cursorblue.gif) 0 20, auto;
}
#borders, #actColor, #developermode {
  margin-bottom: 10px;
  font-size: clamp(5px, 6vw, 20px);
  background-color: #666;
  color: white;
}
#actColor {
  background-color: blue;
}
#saydeveloper {
  display: block;
  float: left;
  color: white;
  margin: 1em;
}
.labelsdevelopingvalues {
  display: block;
  margin: 0.8em;
  background-color: #777;
  color: white;
  font-size: 1.5em;
}
.developingvalues {
  text-align: right;
  float: right;
  display: inline-block;
  height: 100%;
  background-color: #777;
  color: white;

}
#refreshdeveloping, #uploadDeveloping {
  width: calc(100% - 2em);
  height: 50px;
}
#labelname, #labeldeveloper {
  margin-top: 1em;
}
.chosepicture {
  color: white;
  line-height: 2em;
  font-size: 2em;
  text-decoration: none;
  display: block;
}
.chosepicture:hover {
  color: white;
  background-color: #777;
  line-height: 2em;
  font-size: 2em;
  text-decoration: none;
  display: block;
}
.anotherpic {
  color: white;
  display: inline-block;
  width: 15em;
  height: 1.3em;
  text-decoration: none;
  font-size: 1.4em;
  background: #777;
  display: block;
  padding: 1px;
}
.anotherpic:hover {
  transform: scale(1.1);
}
.anotherpic {
  transition: transform 1s ease;
}
@media only screen and (max-width: 900px) {
  #rightside {
    width: calc(100% - 600px);
  }
}
@media only screen and (max-width: 750px) {
  #rightside {
    height: auto;
    width: auto;
    margin: 0;
    padding: 1em;
    position: relative !important;
  }
  #border {
    margin: 0;
  }
  .selectColor {
    margin: 0;
  }
}
@media only screen and (max-width: 600px) {
  .chosepicture, #overlayChoosing, #description {
    line-height: clamp(2px,4vh,6vw);
    font-size: clamp(2px,4vh,6vw);
  }
  #h1draw {
    font-size: clamp(2px,5vh,6vw);
    margin-bottom: 4vh;
    width: 100vw;
  }
  #description {
    width: 100vw;
    height: 115px;
  }
  #flaeche {
    margin: 4vw;
  }
  #saydeveloper {
    margin: 5px;
    font-size: clamp(2px,3vh,6vw);
  }
  .anotherpic {
    font-size: clamp(2px,4vh,6vw);
    display: block !important;
    float: left;
  }
  #rightsideContainer > button {
    height: 40px;
  }
  .labelsdevelopingvalues {
    margin: 1vh;
    height: 8vh;
    line-height: 8vh;
    font-size: clamp(2px,4vh,6vw);
  }
  .developingvalues {
    width: 40%;
  }
}
